Pull to refresh

Какие версии Java вы используете?

Java *
С прошлого аналогичного опроса прошёл целый год, и пришла пора его повторить и немного расширить. Особенно при учёте того, что для Java 7 скоро перестанут выпускать обновления.

Под катом этого поста, как и предыдущего, находятся разнообразные опросы и сборники предсказаний. По результатам голосований этого года мы сможем посмотреть, насколько близки к истине оказались в прошлый раз.

Пожалуйста, если вы вообще не используете java, нажимайте «воздержаться», чтобы не портить статистику.

Результаты прошлого опроса
Прошлый опрос был произведён 14 февраля 2014 года. Java 8 была выпущена 18 марта 2014 года, то есть на 1 месяц и 4 дня позже, чем был проведён опрос.















Сам опрос оказался под катом:
Only registered users can participate in poll. Log in, please.
Используете ли вы Java <8?
70.34% Использую Java 7 1117
26.39% Использую Java 6 419
2.08% Использую Java 5 33
0.76% Использую Java <5 12
20.65% Не использую 328
1588 users voted. 486 users abstained.
Only registered users can participate in poll. Log in, please.
Используете ли вы Java 8?
19.1% Да, в моей компании используется в production 276
38.27% Да, использую в своих проектах 553
26.44% Да, использую для всяких мелочей 382
8.24% Нет, но в моей компании скоро перейдут 119
8.44% Нет, но скоро начну использовать в своих проектах 122
11.21% Нет, но попробовал 162
19.03% Нет, и даже не пробовал, но собираюсь 275
8.58% Нет, и даже не пробовал, и не собираюсь 124
1445 users voted. 513 users abstained.
Only registered users can participate in poll. Log in, please.
Используете ли вы Java 9?
1.37% Да, в моей компании используется в production 18
1.6% Да, использую в своих проектах 21
1.06% Да, использую для всяких мелочей 14
0.53% Нет, но в моей компании скоро перейдут 7
3.88% Нет, но скоро начну использовать в своих проектах 51
2.96% Нет, но попробовал 39
56.31% Нет, и даже не пробовал, но собираюсь 741
36.47% Нет, и даже не пробовал, и не собираюсь 480
1316 users voted. 557 users abstained.
Only registered users can participate in poll. Log in, please.
Оцените свою убеждённость: «к 16 февраля 2016 года я буду использовать Java 8 в production»
34.49% ~100% 436
17.96% 75% 227
13.84% 50% 175
8.07% 25% 102
7.83% 5% 99
17.8% ~0% 225
1264 users voted. 499 users abstained.
Only registered users can participate in poll. Log in, please.
Оцените свою убеждённость: «к 16 февраля 2016 года я буду использовать Java 9 в production»
4.79% ~100% 57
4.87% 75% 58
14.96% 50% 178
14.45% 25% 172
15.04% 5% 179
45.88% ~0% 546
1190 users voted. 479 users abstained.
Only registered users can participate in poll. Log in, please.
Оцените свою убеждённость: «к 16 февраля 2017 года я буду использовать Java 9 в production»
14.3% ~100% 156
12.28% 75% 134
22% 50% 240
16.32% 25% 178
14.02% 5% 153
21.08% ~0% 230
1091 users voted. 473 users abstained.
Only registered users can participate in poll. Log in, please.
Какие версии Java EE вы используете?
56.96% Я не использую Java EE 651
1.14% Java EE <5 13
4.55% Java EE 5 52
20.12% Java EE 6 230
30.18% Java EE 7 345
1143 users voted. 461 users abstained.
Only registered users can participate in poll. Log in, please.
Какие версии Java EE поддерживает ваш сервер?
57.2% Я не использую Java EE 624
2.2% Java EE <5 24
6.97% Java EE 5 76
24.2% Java EE 6 264
31.35% Java EE 7 342
1091 users voted. 508 users abstained.
Tags:
Hubs:
Total votes 25: ↑24 and ↓1 +23
Views 14K
Comments Comments 12